classification
Title: IDLE, configdialog: Factor out HighPage class from ConfigDialog
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: 31001 Superseder:
Assigned To: terry.reedy Nosy List: csabella, terry.reedy
Priority: normal Keywords:

Created on 2017-08-15 01:48 by terry.reedy, last changed 2017-08-20 23:22 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3141 merged csabella, 2017-08-18 18:20
PR 3154 merged csabella, 2017-08-19 00:40
PR 3156 merged csabella, 2017-08-19 09:33
PR 3159 merged csabella, 2017-08-20 09:47
PR 3160 merged csabella, 2017-08-20 11:34
PR 3162 merged csabella, 2017-08-20 20:03
Messages (12)
msg300278 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 01:48
As with #31050, #31205
msg300319 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 23:26
The configdialog diff for #31205 was so jumbled that it did not apply correctly to 3.6.  Let's do this in 2 PRs.  First adds the class to how we think it should be.  The second deletes the old code, makes any edits needed for the new class, and redirects the tests.
msg300465 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-18 00:43
Delete frame.highlight_sample when frame becomes self.
    text = self.highlight_sample = frame.highlight_sample = Text( 

Change coverage to 95% when edit test file.
msg300543 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-18 22:34
New changeset a32e40561a24de373d1c5a437a8aa329758ba8e4 by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-31206: IDLE: Factor HighPage class from ConfigDialog (#3141)
https://github.com/python/cpython/commit/a32e40561a24de373d1c5a437a8aa329758ba8e4
msg300545 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-18 22:49
I cannot do the backport at the moment, so at your convenience, please run cherry picker for PR3141 for 3.6.  You can submit the 2nd PR for 3.7 without waiting for me to merge the backport.
msg300582 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-19 13:22
New changeset 764e282158df0d7d6d7e0c72f38756c979a36539 by Terry Jan Reedy (Cheryl Sabella) in branch '3.6':
[3.6] bpo-31206: IDLE: Factor HighPage class from ConfigDialog (GH-3141) (#3154)
https://github.com/python/cpython/commit/764e282158df0d7d6d7e0c72f38756c979a36539
msg300591 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-20 02:04
New changeset 8f7a798edbdbca9a400105e3225463e59b334666 by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-31206: IDLE: Factor HighPage class from ConfigDialog (#3156)
https://github.com/python/cpython/commit/8f7a798edbdbca9a400105e3225463e59b334666
msg300592 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-20 02:15
Ditto last message for PR3156 and 3rd patch deleting old code now dead.  In retrospect, we could have done first and second patches together.  Deleting or commenting out a large existing block along with other changes  triggers the nonsense diff.  Let's see if a simple delete can be handled.
msg300599 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-20 12:03
New changeset 3d9c0d498de3245199ca95aba14ce260e7d33489 by Terry Jan Reedy (Cheryl Sabella) in branch '3.6':
[3.6] bpo-31206: IDLE: Factor HighPage class from ConfigDialog (GH-3156) (#3159)
https://github.com/python/cpython/commit/3d9c0d498de3245199ca95aba14ce260e7d33489
msg300600 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-20 12:07
New changeset 4bfebc63012f0f4e00f6a98c3d96e1c0ebe93408 by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-31206: IDLE: Factor HighPage class from ConfigDialog (#3160)
https://github.com/python/cpython/commit/4bfebc63012f0f4e00f6a98c3d96e1c0ebe93408
msg300601 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-20 12:22
Ditto backport for pr3160.
msg300612 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-20 23:21
New changeset 24c0c5b48cb996c3ec1800640edff2bfecc36275 by Terry Jan Reedy (Cheryl Sabella) in branch '3.6':
[3.6] bpo-31206: IDLE: Factor HighPage class from ConfigDialog (GH-3160) (#3162)
https://github.com/python/cpython/commit/24c0c5b48cb996c3ec1800640edff2bfecc36275
History
Date User Action Args
2017-08-20 23:22:51terry.reedysetstatus: open -> closed
resolution: fixed
stage: test needed -> resolved
2017-08-20 23:21:53terry.reedysetmessages: + msg300612
2017-08-20 20:03:30csabellasetpull_requests: + pull_request3198
2017-08-20 12:22:07terry.reedysetmessages: + msg300601
2017-08-20 12:07:24terry.reedysetmessages: + msg300600
2017-08-20 12:03:07terry.reedysetmessages: + msg300599
2017-08-20 11:34:22csabellasetpull_requests: + pull_request3196
2017-08-20 09:47:00csabellasetpull_requests: + pull_request3195
2017-08-20 02:15:27terry.reedysetmessages: + msg300592
2017-08-20 02:04:42terry.reedysetmessages: + msg300591
2017-08-19 13:22:56terry.reedysetmessages: + msg300582
2017-08-19 09:33:40csabellasetpull_requests: + pull_request3193
2017-08-19 00:40:27csabellasetpull_requests: + pull_request3189
2017-08-18 22:49:15terry.reedysetmessages: + msg300545
2017-08-18 22:34:57terry.reedysetmessages: + msg300543
2017-08-18 18:20:33csabellasetpull_requests: + pull_request3176
2017-08-18 00:43:46terry.reedysetmessages: + msg300465
2017-08-15 23:26:36terry.reedysetmessages: + msg300319
2017-08-15 01:49:11terry.reedysetdependencies: + IDLE: Add tests for configdialog highlight tab
2017-08-15 01:48:57terry.reedycreate